Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Class ListDataAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.swing.ListDataAction

All Implemented Interfaces:
  EventListener, ListDataListener

public class ListDataAction
extends AbstractAction
implements ListDataListener

Actionimplementierung fuer ListDataEvent.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`ListDataAction()`

Method Summary
`void` | `contentsChanged(ListDataEvent lde)`
`void` | `doContentsChanged(ListDataEvent lde)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doIntervalAdded(ListDataEvent lde)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doIntervalRemoved(ListDataEvent lde)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `intervalAdded(ListDataEvent lde)`
`void` | `intervalRemoved(ListDataEvent lde)`

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListDataAction

    public ListDataAction()

Method Detail

### intervalAdded

    public void intervalAdded(ListDataEvent lde)

  Specified by:
    `intervalAdded` in interface `ListDataListener`

### doIntervalAdded

    public void doIntervalAdded(ListDataEvent lde)
                         throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `lde` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### intervalRemoved

    public void intervalRemoved(ListDataEvent lde)

  Specified by:
    `intervalRemoved` in interface `ListDataListener`

### doIntervalRemoved

    public void doIntervalRemoved(ListDataEvent lde)
                           throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `lde` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### contentsChanged

    public void contentsChanged(ListDataEvent lde)

  Specified by:
    `contentsChanged` in interface `ListDataListener`

### doContentsChanged

    public void doContentsChanged(ListDataEvent lde)
                           throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `lde` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD